export default [
    {
        path: "/manualRunProjectList",
        name: "manualRunProjectList",
        meta: {
            tabname: "标准化测试",
            menuKind: "workManagement",
            login: true
        },
        component: () => import("@/views/workManagement/manualRunProjectList"),
        children: [
            {
                path: "projectInfo",
                name: "projectInfo",
                meta: {
                    tabname: "项目详情",
                    menuKind: "workManagement",
                    login: true
                },
                component: () => import("@/views/workManagement/projectInfo"),
                children: [{
                    path: "taskInfo",
                    name: "taskInfo",
                    meta: {
                        tabname: "任务详情",
                        menuKind: "workManagement",
                        login: true
                    },
                    component: () => import("@/views/workManagement/taskInfo")
                },
                {
                    path: "evaluationReport",
                    name: "evaluationReport",
                    meta: {
                        tabname: "评价报告",
                        menuKind: "workManagement",
                        login: true
                    },
                    component: () => import("@/views/workManagement/evaluationReport")
                },
                {
                    path: "sceneReport",
                    name: "sceneReport",
                    meta: {
                      tabname: "评价报告",
                      login: true
                    },
                    component: () => import("@/views/workManagement/sceneReport")
                  },
                ]
            },]
    },
    {
        path: "/manualRunProjectDetail",
        name: "manualRunProjectDetail",
        meta: {
            tabname: "标准化测试详情",
            menuKind: "workManagement",
            login: true
        },
        component: () => import("@/views/workManagement/manualRunProjectDetail")
    },
    {
        path: "/autoRunProjectList",
        name: "autoRunProjectList",
        meta: {
            tabname: "自动化测试",
            menuKind: "workManagement",
            login: true
        },
        component: () => import("@/views/workManagement/autoRunProjectList"),
        children: [{
            path: "autoRunSubProjectList",
            name: "autoRunSubProjectList",
            meta: {
                tabname: "自动化测试子项目",
                menuKind: "workManagement",
                login: true
            },
            component: () => import("@/views/workManagement/autoRunSubProjectList"),
            children: [{
                path: "projectInfo",
                name: "projectInfo",
                meta: {
                    tabname: "项目详情",
                    menuKind: "workManagement",
                    login: true
                },
                component: () => import("@/views/workManagement/projectInfo"),
                children: [{
                    path: "taskInfo",
                    name: "taskInfo",
                    meta: {
                        tabname: "任务详情",
                        menuKind: "workManagement",
                        login: true
                    },
                    component: () => import("@/views/workManagement/taskInfo")
                },
                {
                    path: "evaluationReport",
                    name: "evaluationReport",
                    meta: {
                        tabname: "评价报告",
                        menuKind: "workManagement",
                        login: true
                    },
                    component: () => import("@/views/workManagement/evaluationReport")
                },
                ]
            },]
        },]
    },
    {
        path: "/autoRunProjectDetail",
        name: "autoRunProjectDetail",
        meta: {
            tabname: "自动化测试详情",
            menuKind: "workManagement",
            login: true
        },
        component: () => import("@/views/workManagement/autoRunProjectDetail")
    },
    // 仿真模式
    {
        path: "/multimodeSimulation",
        name: "multimodeSimulation",
        meta: {
            tabname: "多模式仿真",
            menuKind: "workManagement",
            login: true
        },
        component: () => import("@/views/workManagement/simulationHome.vue"),
        children: [{
            path: "simulationMap",
            name: "simulationMap",
            meta: {
                tabname: "地图管理",
                menuKind: "workManagement",
                login: true
            },
            component: () => import("@/views/workManagement/simulationMap")
        },
        {
            path: "simulationEdit",
            name: "simulationEdit",
            meta: {
                tabname: "多模式仿真详情",
                menuKind: "workManagement",
                login: true
            },
            component: () => import("@/views/workManagement/simulationEdit.vue"),
            children:[
                {
                    path: "multimodeSimulationEdit",
                    name: "multimodeSimulationEdit",
                    meta: {
                        tabname: "场景编辑",
                        menuKind: "workManagement",
                        login: true
                    },
                    component: () => import("@/views/workManagement/multimodeSimulationEdit")
                },
            ]
        },
        {
            path: "simulationEvaluate",
            name: "simulationEvaluate",
            meta: {
                tabname: "多模式仿真评价",
                menuKind: "workManagement",
                login: true
            },
            component: () => import("@/views/workManagement/simulationEvaluate.vue"),
            children:[
                {
                    path: "evaluationResults",
                    meta: {
                        tabname: "评价结果",
                        menuKind: "workManagement",
                        login: true
                    },
                    component: () => import("@/views/workManagement/evaluationResults.vue"),
                },
            ]
        }]
    },

]